<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <groupId>net.northking.cctp</groupId>
    <artifactId>cctp-parent</artifactId>
    <version>1.0.1-RELEASE</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>

  <groupId>net.northking.cctp.atu</groupId>
  <artifactId>atu-engine-parent</artifactId>
  <version>1.0.0-RELEASE</version>
  
  <packaging>pom</packaging>

  <modules>
    <module>atu-script-engine</module>
    <module>atu-daemon-process</module>
    <module>atu-engine-dto</module>
  </modules>

  <repositories>
    <repository>
      <id>hzbank</id>
      <name>release</name>
      <url>http://devops.hzbtest:38081/repository/hzbank-maven-group-public</url>
    </repository>
  </repositories>

  <properties>
    <cctp-commons.version>1.0.2-RELEASE</cctp-commons.version>
    <cctp-test-element-core.version>1.0.0-RELEASE</cctp-test-element-core.version>
    <fastjson.version>1.2.62</fastjson.version>
    <appium-client.version>7.6.0</appium-client.version>
    <springfox-swagger.version>2.9.2</springfox-swagger.version>
    <swagger-bootstrap-ui.version>1.9.6</swagger-bootstrap-ui.version>
  </properties>

  <dependencyManagement>
    <dependencies>
      <dependency>
        <groupId>net.northking.cctp</groupId>
        <artifactId>cctp-test-element-core</artifactId>
        <version>${cctp-test-element-core.version}</version>
      </dependency>
      <dependency>
        <groupId>net.northking.cctp</groupId>
        <artifactId>cctp-commons</artifactId>
        <version>${cctp-commons.version}</version>
      </dependency>
      <dependency>
        <groupId>net.northking.cctp</groupId>
        <artifactId>cctp-commons</artifactId>
        <version>${cctp-commons.version}</version>
      </dependency>
      <dependency>
        <groupId>net.northking.cctp.atu</groupId>
        <artifactId>atu-engine-dto</artifactId>
        <version>${project.version}</version>
      </dependency>

      <dependency>
        <groupId>io.appium</groupId>
        <artifactId>java-client</artifactId>
        <version>${appium-client.version}</version>
      </dependency>
      <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>fastjson</artifactId>
        <version>${fastjson.version}</version>
      </dependency>

      <!-- springfox swagger -->
      <dependency>
        <groupId>io.springfox</groupId>
        <artifactId>springfox-swagger-ui</artifactId>
        <version>${springfox-swagger.version}</version>
      </dependency>
      <dependency>
        <groupId>io.springfox</groupId>
        <artifactId>springfox-swagger2</artifactId>
        <version>${springfox-swagger.version}</version>
      </dependency>
      <dependency>
        <groupId>com.github.xiaoymin</groupId>
        <artifactId>swagger-bootstrap-ui</artifactId>
        <version>${swagger-bootstrap-ui.version}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>
  <!-- TODO 利用maven插件将 守护进程和脚本引擎做成 zip包 -->


</project>